Packaging - Bug #21028

katello-change-hostname's behavior before installing capsule
09/20/2017 05:50 AM - Evgeni Golov

Status: Closed

Priority: Normal

Assignee: Evgeni Golov

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1493472 Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/1929

Description
Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1493472

Description of problem:

In case you have the satellite-capsule package already installed but you didn't install the capsule yet with satellite-installer, using
katello-change-hostname will fail even when trying to see help:

J# katello-change-hostname -h

/usr/bin/katello-change-hostname:40:in “readlink’: No such file or directory - /etc/foreman-installer/scenarios.d/last_scenario.yami
(Errmo::ENOENT)

Some message informing user about the problem would be nice here.

Version-Release number of selected component (if applicable):

katello-capsule-3.0.0-25.el6sat.noarch

Associated revisions

Revision c57ecc7d - 01/05/2018 10:48 AM - Evgeni Golov
Fixes #21028 - make k-c-h --help work without an installed system
/etc/foreman-installer/scenarios.d/last_scenario.yaml might or might not

be there, so let's fall back to “katello™ scenario if the file cannot be
found.

History

#1 - 09/20/2017 06:00 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello-packaging/pull/536 added

#2 - 09/20/2017 06:05 AM - Evgeni Golov

- Subject changed from katello-change-hostname's behavior before installing capsule
to katello-change-hostname's behavior before installing capsule

- Category set to Tooling

- Assignee set to Evgeni Golov

#3 - 09/20/2017 02:25 PM - Justin Sherrill

- translation missing: en.field_release set to 250

#4 - 11/07/2017 07:53 AM - Evgeni Golov
- Project changed from Katello to Packaging
https://bugzilla.redhat.com/show_bug.cgi?id=1493472

- Category deleted (Tooling)
- Pull request https://github.com/theforeman/foreman-packaging/pull/1929 added
- Pull request deleted (https://github.com/Katello/katello-packaging/pull/536)

#5 - 01/05/2018 11:01 AM - Evgeni Golov
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset foreman-packaging|c57ecc7d0ab1234ea2598d377bb79666d640f1b6.

#6 - 08/20/2018 11:30 AM - Greg Sutcliffe
- Target version deleted (Katello 3.5.0)
